#
# spec file for package igrep
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           igrep
Version:        1.2.0~0
Release:        1.2
Summary:        Interactive Grep
License:        MIT
Group:          Development/Tools/Navigators
URL:            https://github.com/konradsz/igrep
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo-packaging

%description
Runs grep in the background, allows interactively pick its results and open selected match in text editor of choice.

%prep
%autosetup -a1
install -D -m 644 %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/ig
%doc README.md
%license LICENSE

%changelog
* Tue Aug 15 2023 Michael Vetter <mvetter@suse.com>
- Initial package of igrep 1.2.0 for openSUSE
